<bugID>1376519<Summary>Add new Photon-themed download notification animations</Summary><Description>Implement new download start/finish animations under MOZ_PHOTON_ANIMATIONS flag. 

This work was a part of  bug 1352065 but is being broken out into its own sub-task to facilitate incremental development and easier review of smaller steps towards the whole.</Description></bugID>